﻿using System.Windows;
using System.Windows.Controls;
using VoIPserviceCheckerWP75.Utils;

namespace VoIPserviceCheckerWP75
{
    public partial class ResultControl : UserControl
    {
        public ResultControl()
        {
            InitializeComponent();
            HideImages();
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            ((MainPage)DataContext).GoBacktoInput();
            HideImages();
        }


        public void ShowImage(RegistrationResult result)
        {
            Dispatcher.BeginInvoke(() =>
            {
                switch (result)
                {
                    case RegistrationResult.FoundNotRegistered:
                        imgfoundNotReg.Visibility = Visibility.Visible;
                        break;
                    case RegistrationResult.FoundRegistered:
                        imgFoundReg.Visibility = Visibility.Visible;
                        break;
                    case RegistrationResult.Notfound:
                        imgNotfound.Visibility = Visibility.Visible;
                        break;
                }
            });
           
        }


        private void HideImages()
        {
            imgFoundReg.Visibility = Visibility.Collapsed;
            imgfoundNotReg.Visibility = Visibility.Collapsed;
            imgNotfound.Visibility = Visibility.Collapsed;
        }
    }
}
